SDL_IOFromMem(3)

NAME
SDL_IOFromMem - Use this function to prepare a read-write memory buffer for use with SDL_IOStream .

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_IOStream* SDL_IOFromMem(void *mem, size_t size);

DESCRIPTION
This function sets up an SDL_IOStream
 struct based on a memory area of a certain size, for both read and write access. This memory buffer is not copied by the SDL_IOStream ; the pointer you provide must remain valid until you close the stream. Closing the stream will not free the original buffer. If you need to make sure the SDL_IOStream
 never writes to the memory buffer, you should use SDL_IOFromConstMem () with a read-only buffer of memory instead.

FUNCTION PARAMETERS

mem a pointer to a buffer to feed an SDL_IOStream
     stream

size
    the buffer size, in bytes

RETURN VALUE
Returns a pointer to a new SDL_IOStream
 structure, or NULL if it fails; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_IOFromConstMem(3), SDL_CloseIO(3), SDL_ReadIO(3), SDL_SeekIO(3), SDL_TellIO(3), SDL_WriteIO(3)